Me quedé sin acceso al Desktop

Imagen de Liberto
0 puntos

Hola amigos:

Quería consultaros una incidencia que me ha ocurrido. Quería desinstalar Lamp para iniciar de nuevo el proceso de instalación del servidor. Busqué una página en inglés y, de los mensajes del foro, hice las siguientes acciones:

sudo invoke-rc.d mysql stop
sudo invoke-rc.d apache2 stop
sudo update-rc.d -f apache2 remove
sudo update-rc.d -f mysql remove

sudo apt-get --purge remove mysql-common apache2* php5-common

Y por último:

sudo apt-get --purge remove apache2 apache2-mpm-prefork apache2-utils apache2.2-common libapache2-mod-php5 libapr1 libaprutil1 libdbd-mysql-perl libdbi-perl libmysqlclient15off libnet-daemon-perl libplrpc-perl libpq5 mysql-client-5.0 mysql-common mysql-server mysql-server-5.0 php5-common php5-mysql

En este último, cuando veo que está desinstalando lanzadores gráficos, programas, y demás, cierro la terminal. Pero en vano.

Cuando vuelvo a encender la computadora después de reiniciar veo que tengo un entorno gráfico limitado a tres carpetas que estaban fuera de la carpeta de usuario y un entorno gráfico limitadísimo.

No tengo lanzador, he reinstalado el desktop pero no se activa,...

¿Qué se puede hacer?

Imagen de elnetotaca
+1
0
-1

sudo apt-get install ubuntu-desktop

sudo apt-get install apache2 apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common bluez-cups cups cups-driver-gutenprint cups-pdf foo2zjs gdm gdm-guest-session gecko-mediaplayer gnome-applets gnome-control-center gnome-media gnome-mplayer gnome-panel gnome-session gnome-settings-daemon goldendict gstreamer0.10-pulseaudio hpijs hplip hplip-cups indicator-applet indicator-applet-appmenu indicator-applet-complete indicator-sound libapache2-mod-php5 libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libasound2-plugins libcanberra-pulse libdbd-mysql-perl libdbi-perl libhpmud0 libhtml-template-perl libmysqlclient16 libnet-daemon-perl libphonon4 libplrpc-perl libpulse-browse0 libpulse-mainloop-glib0 libpulse0 libqtwebkit4 libsane-hpaio libsdl1.2debian-pulseaudio libsnmp15 libwrap0 mplayer mysql-client-5.1 mysql-client-core-5.1 mysql-common mysql-server mysql-server-5.1 mysql-server-core-5.1 phonon phonon-backend-gstreamer php5-cli php5-common php5-mysql pulseaudio pulseaudio-esound-compat pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils pxljr python-speechd speech-dispatcher splix ssl-cert tcpd vlc-plugin-pulse

eso te resuelve el problema.

+1
0
-1

unzip; strip; touch; finger; mount; fsck; more; yes; unmount; sleep
Es lo que hago a diario....... En Linux mal pensados!

Imagen de Liberto
+1
0
-1

Gracias compañero. Voy a intentarlo esta tarde. Un abrazo

+1
0
-1

Trabajamos en empleos que odiamos, para comprar mierda que no necesitamos...

Imagen de Liberto
+1
0
-1

Me responde esto, ¿qué puedo hacer?:

[sudo] password for usuario:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
El paquete libsdl1.2debian-pulseaudio no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
libsdl1.2debian

El paquete mysql-client-5.1 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
mysql-client-5.5

El paquete mysql-client-core-5.1 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
mysql-client-core-5.5

El paquete mysql-server-5.1 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
mysql-server-core-5.5 mysql-server-5.5

El paquete mysql-server-core-5.1 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
mysql-server-core-5.5

El paquete libpulse-browse0 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
pulseaudio

El paquete gdm-guest-session no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente

El paquete libmysqlclient16 no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente

E: El paquete «gdm-guest-session» no tiene un candidato para la instalación
E: El paquete «libmysqlclient16» no tiene un candidato para la instalación
E: El paquete «libpulse-browse0» no tiene un candidato para la instalación
E: El paquete «libsdl1.2debian-pulseaudio» no tiene un candidato para la instalación
E: El paquete «mysql-client-5.1» no tiene un candidato para la instalación
E: El paquete «mysql-client-core-5.1» no tiene un candidato para la instalación
E: El paquete «mysql-server-5.1» no tiene un candidato para la instalación
E: El paquete «mysql-server-core-5.1» no tiene un candidato para la instalación

+1
0
-1

Trabajamos en empleos que odiamos, para comprar mierda que no necesitamos...

Imagen de Liberto
+1
0
-1

Quizá una explicación mejor nos ayude a todos:

Mi situación actual es que tengo un entorno gráfico limitado a dos carpetas. No se puede ver el lanzador de aplicaciones, y el fondo de escritorio es el que viene por defecto. Lo peor es que instalo los lanzadores y no aparecen, instalo el entorno KDE que es el que usaba y sigue sin aparecer, intento mirar si eliminé algún controlador relacionado con el entorno gráfico pero nada...

Esto es una %&$·$·FR!!!·$

+1
0
-1

Trabajamos en empleos que odiamos, para comprar mierda que no necesitamos...

Imagen de elnetotaca
+1
0
-1

Como para intentar repararlo.
una reinstalación es lo que le recomiendo compañero

+1
0
-1

unzip; strip; touch; finger; mount; fsck; more; yes; unmount; sleep
Es lo que hago a diario....... En Linux mal pensados!